import re
import datetime
from youtubed2x_lib.parsers import Parser_Helper, getPage, mimevault


class YouPorn_Parser (Parser_Helper):
    """Parser for YouPorn pages. Updated 07/04/2009"""
    const_video_url_re = re.compile (r'^(?:http://)?(?:www\.)?youporn\.com/watch/(\d+)')
    video_url_str = 'http://www.youporn.com/watch/%s'
    video_url_real_str = 'http://download.youporn.com/download/%s/?%s'
    video_title_re = re.compile (r'<title>([^<]+) - Free Porn Videos - YouPorn.com Lite \(BETA\)</title>')
    video_url_params_re = re.compile (r'<a href="http://download.youporn.com/download/(\d+)/\?(\S+)">FLV - Flash Video format</a>')
    parser_type = "YouPorn"
    domain_str = "http://www.youporn.com/"
    host_str = "youporn.com"
    version = datetime.date (2009, 12, 5)


    def __init__ (self, video_id):
        super (YouPorn_Parser, self).__init__ (video_id)
        self.video_enter_url = self.page_url + '?user_choice=Enter'


    def getVideoPage (self, account="", password=""):
        page, newurl = getPage (self.video_enter_url)
        return page, newurl


    def _parseRealURL (self, commands):
        """Get the real url for the video"""
        page, newurl = getPage (self.video_url_real_str % commands, read_page=False)
        real_url = newurl
        return real_url


    @staticmethod
    def getImageData ():
        image_data = """\xff\x96\x97?\xff\x99\x9a\x7f\xff\x97\x99\x7f\xff\x97\x99\x7f\xff\x97\x99\x7f\xff\x97\x99\x7f\xff\x99\x9a\x7f\xff\x94\x95\x7f\xff\x91\x92\x7f\xff\x91\x92\x7f\xff\x91\x92\x7f\xff\x91\x92\x7f\xff\x91\x92\x7f\xff\x91\x92\x7f\xff\x91\x926\xff\x8e\x90\x00\xff\x8e\x96\x7f\xff}\x85\xff\xff\x82\x89\xff\xff\x7f\x86\xff\xff\x7f\x86\xff\xff}\x84\xff\xff\x7f\x86\xff\xff\x8d\x92\xff\xff\x8c\x8f\xff\xff\x8c\x8f\xff\xff\x8c\x8f\xff\xff\x8c\x8f\xff\xff\x8c\x8f\xff\xff\x8c\x8f\xff\xff\x8c\x8f\xff\x00\x00\x00\x00\xffs\x80\x7f\xff\xc3\xc9\xff\xff\x87\x92\xff\xff\xbb\xc2\xff\xff\xb1\xb8\xff\xff\xd7\xda\xff\xff\xb1\xb7\xff\xff~\x87\xff\xff\x86\x8b\xff\xff\x86\x8b\xff\xff\x86\x8b\xff\xff\x86\x8b\xff\xff\x86\x8b\xff\xff\x86\x8b\xff\xff\x86\x8b\xff\x00\x00\x00\x00\xff_u\x7f\xff\xe6\xe8\xff\xff{\x8b\xff\xff\xdc\xe0\xff\xff\xd1\xd6\xff\xff\x83\x92\xff\xff\xd5\xda\xff\xffq\x80\xff\xff\x7f\x89\xff\xff\x7f\x89\xff\xff\x7f\x89\xff\xff\x7f\x89\xff\xff\x7f\x89\xff\xff\x7f\x89\xff\xff\x7f\x89\xff\x00\x00\x00\x00\xffRm\x7f\xff\xd2\xd9\xff\xff\xe4\xe8\xff\xff\xd4\xdb\xff\xff\xc8\xd0\xff\xff\xeb\xed\xff\xff\xc0\xc9\xff\xfffy\xff\xff\xa4\xac\xff\xff\xbc\xc2\xff\xff\xbc\xc2\xff\xff\xbc\xc2\xff\xff\xc1\xc6\xff\xffu\x81\xff\xffy\x84\xff\x00\x00\x00\x00\xffVu\x7f\xffv\x8d\xff\xff\xc6\xcf\xff\xff\xd8\xdf\xff\xff\xcf\xd6\xff\xffj\x83\xff\xffKi\xff\xffdz\xff\xff\xcc\xd1\xff\xff\xff\xff\xff\xff\xf6\xf7\xff\xff\xf7\xf8\xff\xff\xff\xff\xff\xffjz\xff\xffs\x82\xff\x00\x00\x00\x00\xffKp\x7f\xffHj\xff\xffLm\xff\xffIj\xff\xffJk\xff\xffGi\xff\xffFh\xff\xffZu\xff\xff\xca\xd0\xff\xff\xff\xff\xff\xff\x88\x95\xff\xff\x9d\xa8\xff\xff\xff\xff\xff\xffdv\xff\xffm~\xff\x00\x00\x00\x00\xffSq\x7f\xffQp\xff\xff\x8f\xa5\xff\xff\x8d\xa4\xff\xffGg\xff\xff\x8d\xa4\xff\xff\xa2\xb6\xff\xffk\x82\xff\xff\xc8\xcf\xff\xff\xff\xff\xff\xff\x82\x92\xff\xff\x98\xa6\xff\xff\xff\xff\xff\xff^r\xff\xffg{\xff\x00\x00\x00\x00\xffaw\x7f\xff\\s\xff\xff\xdc\xe1\xff\xff\xfc\xfc\xff\xff\xf1\xf3\xff\xff\xfc\xfc\xff\xff\xff\xff\xff\xff\x81\x92\xff\xff\xc6\xce\xff\xff\xff\xff\xff\xff\xf5\xf6\xff\xff\xf7\xf7\xff\xff\xff\xff\xff\xffWo\xff\xffaw\xff\x00\x00\x00\x00\xffZs\x7f\xffWq\xff\xff\x9a\xa9\xff\xff\xac\xb9\xff\xff\xa9\xb6\xff\xff\xec\xef\xff\xff\xff\xff\xff\xff{\x90\xff\xff\xc4\xcc\xff\xff\xff\xff\xff\xff\xbe\xc8\xff\xff\xac\xb9\xff\xff\xb1\xbd\xff\xffUo\xff\xffZs\xff\x00\x00\x00\x00\xffTq\x7f\xffTq\xff\xffYu\xff\xff\x95\xa6\xff\xff\x8e\xa1\xff\xff\xe6\xea\xff\xff\xff\xff\xff\xffw\x8d\xff\xff\xc1\xcc\xff\xff\xff\xff\xff\xffy\x8f\xff\xffTq\xff\xffTq\xff\xffTq\xff\xffTq\xff\x00\x00\x00\x00\xffNm\x7f\xffNm\xff\xff[w\xff\xff\xfb\xfc\xff\xff\xf3\xf5\xff\xff\xf1\xf3\xff\xff\xf6\xf7\xff\xffo\x88\xff\xff\xb6\xc3\xff\xff\xf6\xf7\xff\xffq\x8a\xff\xffNm\xff\xffNm\xff\xffNm\xff\xffNm\xff\x00\x00\x00\x00\xffHj\x7f\xffHj\xff\xffGi\xff\xff?b\xff\xff@c\xff\xff@c\xff\xff?b\xff\xffFh\xff\xffCe\xff\xff?b\xff\xffFh\xff\xffHj\xff\xffHj\xff\xffHj\xff\xffHj\xff\x00\x00\x00\x00\xffBf\x7f\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\xffBf\xff\x00\x00\x00\x00\xff>d6\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<b\xff\xff<c\xcf\x00\x00\x00\x00\xff;b\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"""

        return image_data


