import os, sys
import time
import datetime
from youtubed2x_lib.parsermanager import ParserManager as parser_manager
from youtubed2x_lib.other import UserDirectoryIndex


class UpdateHelper (object):

    @staticmethod
    def updateParser (parser_name):
        print parser_name
        user_parser_dir = os.path.join (UserDirectoryIndex.config_dir, "parsers")

        # Add user directory to sys.path so
        # modules can be imported
        sys.path.insert (1, user_parser_dir)

        try:
            parser_module =  __import__ ("%s" % parser_name.lower ())
        except ImportError as exception:
            print >> sys.stderr, "File \"%s\" could not be imported" % parser_name
            return
        except Exception as exception:
            print >> sys.stderr, "%s" % exception
            return

        module_contents = dir (parser_module)
        site_parser = None
        print module_contents
        for item in module_contents:
            if item.endswith ("_Parser") and item.lower () == "%s_parser" % parser_name.lower ():
                site_parser = getattr (parser_module, item)

        # Remove user directory from sys.path
        del sys.path[1]

        try:
            parser_manager.register (site_parser, add_to_list=True)
        except Exception as exception:
            print "The following exception was raised when registering the parser:"
            print >> sys.stderr, "%s" % exception
            pass


    @staticmethod
    def needUpdate ():
        checkfile = os.path.join (UserDirectoryIndex.config_dir, "repocheck")
        if not os.path.exists (checkfile):
            return True

        modify_time = os.path.getmtime (checkfile)
        modify_diff = time.time () - modify_time
        last_update_span = datetime.timedelta (seconds=modify_diff)
        if datetime.timedelta (weeks=1) < last_update_span:
            return True
        else:
            return False


    @staticmethod
    def makeCheckFile ():
        checkfile = os.path.join (UserDirectoryIndex.config_dir, "repocheck")
        file = open (checkfile, 'w')
        file.write ("")
        file.close ()


